<h3>Buscar por region <small>{{ regionActiva | titlecase }}</small></h3>
<hr>

<h5>Seleccione la region</h5>

<div class="row">
    <!-- other way use css -->
    <!-- [class.btn-primary]="region.name.common === regionActiva" -->
    <!-- other way use css -->
    <!-- [ngClass]="{
        'btn-red': region.name.common === regionActiva,
        'btn-greenyellow': region.name.common !== regionActiva
    }" -->
    <!-- class="btn btn-outline-primary mr-1" -->
    <!-- [class]="(region.name.common === regionActiva)? 'btn btn-primary': 'btn btn-outline-primary'" -->

    <!-- <div class="col">
        <button 
        class="mr-1"
        [class]="getClassCSS( region.name.common )"
        *ngFor="let region of result" 
        (click)="activarRegion(region.name.common)">
            {{region.name.common}}
        </button>
    </div> -->
    <div class="col">
        <button 
        class="mr-1"
        [class]="getClassCSS( region.name )"
        *ngFor="let region of regiones" 
        (click)="activarRegion( region.code, region.name )">
            {{region.name }}
        </button>
    </div>
</div>

<!-- <app-pais-input
[wordSearch]="termino"
(onResult) = 'buscar( $event )'
placeholder="Buscar region...">
</app-pais-input> -->

<hr>
<div *ngIf="result.length === 0 && hayError" class="alert alert-danger">
    <app-pais-error 
    [searchWord]='regionActiva'>
    </app-pais-error>
</div>

<div class="row">
    <div class="col">
        <app-pais-table 
        [result] = "result">            
        </app-pais-table>
    </div>
</div>